// Copyright 2019 github.com. All rights reserved.
// Use of this source code is governed by github.com.

package errors

import (
	"google.golang.org/grpc/status"
)

var (
	// 通用错误
	SystemError  = status.Error(10001, "系统错误")
	ServiceError = status.Error(10002, "内部服务错误")
	ParamsError  = status.Error(10003, "参数错误")

	SmsAlarmError     = status.Error(20001, "短信发送告警失败")
	VCodeSendFailed   = status.Error(20002, "短信验证码请求失败")
	VCodeExpired      = status.Error(20003, "短信验证码过期")
	VCodeVerifyFailed = status.Error(20004, "短信验证码错误")
	VerifyNoticeError = status.Error(20005, "短信发送审核通过通知失败")
	EmailSendError = status.Error(20006, "邮件发送失败")
)
